/* Coded by: Alfonsus David */

html, body{
	height: 100%;
	width: 100%;
	background-color: var(--bg);
}

.page_width{
	max-width: 1280px;
	width: 100%;
	margin-left: auto;
	margin-right: auto;
	position: relative;
}

#header{
	position: fixed;
	z-index: 100;
	background-color: var(--bg);
}
#header, #header_shadow{
	width: 100%;
	height: 50px;
}
#header .logo{
	display: block;
	height: 80%;
	width: 50%;
	max-width: 250px;
	padding-left: 50px;
}
#header .logo *{
	max-height: 100%;
	max-width: 100%;
	fill: var(--green);
}
#header ul{
	padding-right: 50px;
}
#header ul li{
	display: inline-block;
	height: 100%;
	padding: 5px 10px;
}
#header ul .icon-menu{
	display: none;
}
#header ul li a{
	font-size: 0.8em;
	text-transform: uppercase;
	border-bottom: 1px solid transparent;
	padding-bottom: 3px;
	-moz-transition: all ease 0.3s;
    -webkit-transition: all ease 0.3s;
    -o-transition: all ease 0.3s;
    transition: all ease 0.3s;
}
#header ul li a:hover{
	border-bottom-color: var(--white);
	text-decoration: none;
}
#header .container, #header_shadow{
	display: flex;
	align-items: center;
	justify-content: space-between;
}
#header .container{
	width: 100%;
	height: 100%;
}

#menu_mobile{
	display: none;
}

#body{
	padding-top: 50px;
}

#footer{
	
}
#footer .page_width:first-child{
	display: flex;
	flex-direction: row;
	justify-content: space-between;
}
#footer .company{
	width: 500px;
}
#footer .company h3{
	font-size: 3em;
}
#footer .company ol{
	display: flex;
	flex-direction: row;
	column-gap: 10px;
	margin-top: 10px;
}
#footer .company ol a{
	font-size: 1.5em;
	color: var(--green);
}
#footer .company ol a:before{
	padding: 0;
	margin: 0;
}
#footer .company ol a:hover{
	color: var(--purple);
}
#footer .company, #footer ul{
	padding: 60px 0 70px;
}
#footer ul{
	display: flex;
	flex-direction: row;
	justify-content: space-between;
}
#footer li.container{
	flex: 1;
	padding: 0 25px;
}
#footer li.container:first-child{
	padding-left: 0;
}
#footer li.container:last-child{
	padding-right: 0;
}
#footer ol li{
	padding-bottom: 10px;
}
#footer li h4{
	padding-bottom: 20px;
	text-transform: uppercase;
	color: var(--green);
}
#footer li p, #footer li a{
	
}
#footer li a:hover{
	color: var(--green);
	text-decoration: none;
}
#footer li img{
	max-width: 100%;
	padding-bottom: 20px;
}

.page{
	padding: 200px 0;
}

#copyright{
	padding: 20px 0;
	border-top: solid 1px var(--white);
}

#hero{
	background: url("../images/hero-bg.jpg") no-repeat bottom center;
	background-size: cover;
	margin-bottom: 200px;
	color: var(--white);
	position: relative;
}
#hero:before{
	content: " ";
	display: block;
    position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: transparent;
	background-image: linear-gradient(180deg, var(--bg) 25%, rgba(43,43,43,0.25) 100%);
}
#hero b{
	content: " ";
	display: block;
	position: absolute;
	top: 0;
	bottom: 0;
	right: 0;
	left: 0;
	box-shadow: inset 0 -100px 100px var(--bg);
}
#hero h1{
	text-transform: uppercase;
	text-align: center;
}
#hero ul{
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	margin-top: 200px;
}
#hero ul li{
	width: 20%;
	height: 150px;
	padding: 3%;
	position: relative;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}
#hero ul li:nth-child(1){
	background-color: var(--blue);
}
#hero ul li:nth-child(2){
	background-color: var(--green-pale);
	width: 35%;
}
#hero ul li:nth-child(3){
	background-color: var(--purple);
	color: var(--bg);
}
#hero ul li:nth-child(3) p{
	border-bottom: solid 1px var(--white);
	padding-bottom: 10px;
}
#hero ul li:nth-child(3) strong{
	float: right;
	font-size: 2em;
}
#hero ul li:nth-child(3) div *{
	color: var(--blue);
}
#hero ul li img{
	height: 225%;
	position: absolute;
	bottom: 0;
	left: 50%;
	transform: translate(-50%, 0);
}
#hero ul li a:hover{
	text-decoration: none;
}
#hero ul li .icon-right-big{
	float: right;
	font-size: 1.5em;
}
#hero ul li .icon-right-big:before{
	transform: rotate(-45deg);
}

#about{
	position: relative;
}
#about .section_1{
	padding-bottom: 200px;
	position: relative;
}
#about .section_1 b{
	width: 35%;
	float: right;
	margin-left: 10px;
	display: block;
	position: relative;
}
#about .section_1 b:after{
	content: " ";
	display: block;
	position: absolute;
	top: 0;
	bottom: 0;
	right: 0;
	left: 0;
	box-shadow: inset 150px 0 100px var(--bg);
}
#about .section_1 img{
	max-width: 100%;
	max-height: 100%;
}
#about .section_1 h2{
	color: var(--white);
}
#about .section_1 p{
	font-size: 1.5em;
	margin-top: 75px;
}

#about .section_2{
	padding: 200px 0;
}
#about .section_2 h3{
	color: var(--green);
}
#about .section_2 ul{
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	flex-wrap: wrap;
	width: 100%;
	text-align: left;
	margin-top: 50px;
	row-gap: 50px;
}
#about .section_2 li{
	width: 45%;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: stretch;
}
#about .section_2 b{
	width: 25%;
	display: block;
	text-align: center;
}
#about .section_2 svg{
	fill: var(--green);
	max-width: 100px;
	max-height: 100px;
}
#about .section_2 li div{
	width: 75%;
	padding-left: 10px;
	box-sizing: border-box;
}
#about .section_2 p{
	margin-top: 20px;
}

#product{
	padding-bottom: 200px;
	display: relative;
}
#product h2{
	margin-bottom: 50px;
}
#product h3, #product dt{
	color: var(--green);
	text-transform: uppercase;
	font-family: 'Big Shoulders Display';
	font-weight: bold;
}
#product ul{
	width: 100%;
	white-space: nowrap;
	overflow: hidden;
}
#product ul li{
	display: inline-flex;
	flex-direction: row;
	justify-content: space-between;
	width: 100%;
	box-sizing: border-box;
}
#product ul li dl{
	width: 60%;
}
#product ul li div{
	width: 35%;
	position: relative;
	display: flex;
	flex-direction: column;
	align-items: stretch;
	row-gap: 30px;
}
#product ul li p{
	position: relative;
	text-align: center;
	margin: 0;
}
#product p:before{
	content: " ";
	position: absolute;
	width: 100%;
	height: 30%;
	left: 0;
	bottom: 0;
	background-color: var(--green-pale);
	z-index: 1;
}
#product p img{
	max-width: 100%;
	max-height: 600px;
	position: relative;
	z-index: 2;
}

#product dl dt.model, #product dl dd.model{
	display: none;
}
#product dt:before{
	width: 25px;
	margin: 0 20px 0 0;
}
#product dt{
	font-weight: bold;
	font-size: 1.2em;
	line-height: 1.5em;
	letter-spacing: 0.1em;
}
#product dd{
	margin-left: 45px;
	margin-bottom: 15px;
}
#product dl dd:last-child{
	margin-bottom: 0;
}
#product dd ol{
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: stretch;
}
#product dd ol li{
	display: block;
	flex: 1;
}
#product dd ol li q, #product dd ol li b{
	display: block;
	border-width: 1px;
	border-color: var(--white);
	border-top-style: solid;
	border-left-style: solid;
}
#product dd ol li b{
	border-bottom-style: solid;
}
#product dd ol li:last-child q, #product dd ol li:last-child b{
	border-right-style: solid;
}

#product table th, #product table td{
	padding: 2px 5px;
}
#product table th.padless, #product table td.padless{
	padding: 0;
}
#product table.full{
	width: 100%;
}
#product table.fixed{
	table-layout: fixed;
}
#product table.text_center th, #product table.text_center td{
	text-align: center;
}
#product .icon-ok{
	color: var(--green);
}
#product .icon-cancel{
	color: var(--red);
}
#product table.border th, #product table.border td{
	border: solid 1px var(--white);
}

#product-control{
	display: flex;
	flex-direction: row;
	justify-content: center;
	column-gap: 20px;
	margin-top: 50px;
	font-size: 1.5em;
}
#product-control li{
	cursor: hand;
	cursor: pointer;
}
#product-control li:hover, #product-control .chosen{
	color: var(--green);
}

#contact{
	position: relative;
	background: url("../images/contact-bg.jpg") no-repeat center center;
	background-size: cover;
	padding: 150px 0;
}
#contact h2{
	margin: 50px auto;
	width: 75%;
}
#contact button{
	background-color: var(--green);
	border: none 0;
	border-radius: 4px;
	color: var(--bg);
	font-size: 1.1em;
	padding: 20px 40px 20px 40px;
	margin: 0 auto;
	display: block;
	cursor: hand;
	cursor: pointer;
	-moz-transition: all ease 0.3s;
    -webkit-transition: all ease 0.3s;
    -o-transition: all ease 0.3s;
    transition: all ease 0.3s;
}
#contact button:hover{
	background-color: var(--purple);
}
#contact form{
	display: none;
}

.jBox-content form{
	display: flex;
	flex-direction: row;
	padding: 20px;
}
.jBox-content h4{
	text-transform: uppercase;
}
.jBox-content input, .jBox-content textarea{
	width: 100%;
	color: var(--bg);
	resize: none;
	-moz-transition: all ease 0.3s;
    -webkit-transition: all ease 0.3s;
    -o-transition: all ease 0.3s;
    transition: all ease 0.3s;
}
.jBox-content input[type="text"], .jBox-content textarea{
	background-color: transparent;
	padding: 30px 5px;
	border: none 0;
	border-bottom: solid 1px var(--bg);
	opacity: 0.5;
}
.jBox-content input:focus, .jBox-content textarea:focus{
	opacity: 1;
}
.jBox-content input[type="submit"]{
	margin-top: 30px;
	padding: 20px;
	border-radius: 4px;
	background-color: var(--green);
	border: none 0;
	color: var(--bg);
	cursor: hand;
	cursor: pointer;
}
.jBox-content input[type="submit"]:hover{
	background-color: var(--purple);
}

.list_disc li{
	margin-left: 20px;
	list-style-type: disc;
}

.error{
	color: var(--red);
}
.success{
	color: var(--green);
}

.loader{
	display: inline-block;
	width: 2em;
	height: 2em;
	aspect-ratio: 1;
	border-radius: 50%;
	
	border-width: 0.5em;
	border-style: solid;
	border-color: var(--bg);
	border-left-color: var(--white);
	border-right-color: var(--white);
	animation: spin 1s infinite;
}
@keyframes spin{
	to{
		transform: rotate(0.5turn);
	}
}